首页 新闻 搜索 专区 学院

2.6.32-358.6.2.el6.i686用的是kernel哪个版本?2.6.32.xxx?

0
悬赏园豆:10 [待解决问题]

2.6.32-358.6.2.el6.i686用的是kernel哪个版本?2.6.32.xxx?

编译驱动make后,insmod xxx.ko总出现错误,说版本的问题。

我用的kernel是2.6.32.2,系统kernel版本是2.6.32-358.6.2.el6.i686。

帮帮忙哦。

Daniel.G的主页 Daniel.G | 初学一级 | 园豆:140
提问于:2013-07-12 00:58
< >
分享
所有回答(4)
0

2.6.32-358.6.2.el6.i686表示的是:

Version : 2.6.32
Release : 358.6.2.el6

dudu | 园豆:38841 (高人七级) | 2013-07-12 11:06

我知道呀,但是我用2.6.32.2的内核,insmod xxx时,却出现版本错误。

支持(0) 反对(0) Daniel.G | 园豆:140 (初学一级) | 2013-07-12 11:07

@Daniel.G: 具体错误信息是什么?

支持(0) 反对(0) dudu | 园豆:38841 (高人七级) | 2013-07-12 11:08
0

内核版本号就是:2.6.32,32位系统,看下是不是与系统位数有关

lwgarmstrong | 园豆:201 (菜鸟二级) | 2013-07-25 10:11
0

kernel 版本必须完全一致,否则无法加载

如果目标系统的内核版本是2.6.32-358.6.2.el6.i686 你必须下载2.6.32-358.6.2.el6.i686的内核头文件,使用这个头文件编译的模块才能加载

sjun | 园豆:206 (菜鸟二级) | 2013-11-26 15:44
0

redhat6.3的

Linux.应用 | 园豆:221 (菜鸟二级) | 2014-04-26 22:33
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册